GLS ShipIT 3.5.15 GLS ShipIT - REST services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ReprintParcelRequestParameter Class Reference

## Public Member Functions
String | getTrackID ()
void | setTrackID (String value)
String | getParcelNumber ()
void | setParcelNumber (String value)
String | getShipmentReference ()
void | setShipmentReference (String value)
String | getShipmentUnitReference ()
void | setShipmentUnitReference (String value)
String | getPartnerParcelNumber ()
void | setPartnerParcelNumber (String value)
Date | getCreationDate ()
void | setCreationDate (Date value)
PrintingOptions | getPrintingOptions ()
void | setPrintingOptions (PrintingOptions value)
ReturnOptions | getReturnOptions ()
void | setReturnOptions (ReturnOptions value)
CustomContent | getCustomContent ()
void | setCustomContent (CustomContent value)

## Protected Attributes
String | trackID
String | parcelNumber
String | shipmentReference
String | shipmentUnitReference
String | partnerParcelNumber
Date | creationDate
PrintingOptions | printingOptions
ReturnOptions | returnOptions
CustomContent | customContent

## Detailed Description

Request (input) parameters for relabelParcel request

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType>
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="TrackID" type="{http://fpcs.gls-group.eu/v1/Common}ReferenceNumber" minOccurs="0"/>
            <element name="ParcelNumber" type="{http://fpcs.gls-group.eu/v1/Common}ReferenceNumber" minOccurs="0"/>
            <element name="ShipmentReference" type="{http://fpcs.gls-group.eu/v1/Common}CustomerReferenceNumber" minOccurs="0"/>
            <element name="ShipmentUnitReference" type="{http://fpcs.gls-group.eu/v1/Common}CustomerReferenceNumber" minOccurs="0"/>
            <element name="PartnerParcelNumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="CreationDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
            <element name="PrintingOptions" type="{http://fpcs.gls-group.eu/v1/ShipmentProcessing/types}PrintingOptions" minOccurs="0"/>
            <element name="ReturnOptions" type="{http://fpcs.gls-group.eu/v1/ShipmentProcessing/types}ReturnOptions" minOccurs="0"/>
            <element name="CustomContent" type="{http://fpcs.gls-group.eu/v1/ShipmentProcessing/types}CustomContent" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 59 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ReprintParcelRequestParameter.java.

## Member Function Documentation

## ◆ getCreationDate()

Date eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ReprintParcelRequestParameter.getCreationDate | ( |  | ) |

Gets the value of the creationDate property.

Returns
  possible object is String

Definition at line 210 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ReprintParcelRequestParameter.java.

## ◆ getCustomContent()

CustomContent eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ReprintParcelRequestParameter.getCustomContent | ( |  | ) |

Gets the value of the customContent property.

Returns
  possible object is CustomContent

Definition at line 282 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ReprintParcelRequestParameter.java.

## ◆ getParcelNumber()

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ReprintParcelRequestParameter.getParcelNumber | ( |  | ) |

Gets the value of the parcelNumber property.

Returns
  possible object is String

Definition at line 114 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ReprintParcelRequestParameter.java.

## ◆ getPartnerParcelNumber()

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ReprintParcelRequestParameter.getPartnerParcelNumber | ( |  | ) |

Gets the value of the partnerParcelNumber property.

Returns
  possible object is String

Definition at line 186 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ReprintParcelRequestParameter.java.

## ◆ getPrintingOptions()

PrintingOptions eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ReprintParcelRequestParameter.getPrintingOptions | ( |  | ) |

Gets the value of the printingOptions property.

Returns
  possible object is PrintingOptions

Definition at line 234 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ReprintParcelRequestParameter.java.

## ◆ getReturnOptions()

ReturnOptions eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ReprintParcelRequestParameter.getReturnOptions | ( |  | ) |

Gets the value of the returnOptions property.

Returns
  possible object is ReturnOptions

Definition at line 258 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ReprintParcelRequestParameter.java.

## ◆ getShipmentReference()

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ReprintParcelRequestParameter.getShipmentReference | ( |  | ) |

Gets the value of the shipmentReference property.

Returns
  possible object is String

Definition at line 138 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ReprintParcelRequestParameter.java.

## ◆ getShipmentUnitReference()

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ReprintParcelRequestParameter.getShipmentUnitReference | ( |  | ) |

Gets the value of the shipmentUnitReference property.

Returns
  possible object is String

Definition at line 162 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ReprintParcelRequestParameter.java.

## ◆ getTrackID()

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ReprintParcelRequestParameter.getTrackID | ( |  | ) |

Gets the value of the trackID property.

Returns
  possible object is String

Definition at line 90 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ReprintParcelRequestParameter.java.

## ◆ setCreationDate()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ReprintParcelRequestParameter.setCreationDate | ( | Date | value | ) |

Sets the value of the creationDate property.

Parameters

  value | allowed object is String

Definition at line 222 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ReprintParcelRequestParameter.java.

## ◆ setCustomContent()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ReprintParcelRequestParameter.setCustomContent | ( | CustomContent | value | ) |

Sets the value of the customContent property.

Parameters

  value | allowed object is CustomContent

Definition at line 294 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ReprintParcelRequestParameter.java.

## ◆ setParcelNumber()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ReprintParcelRequestParameter.setParcelNumber | ( | String | value | ) |

Sets the value of the parcelNumber property.

Parameters

  value | allowed object is String

Definition at line 126 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ReprintParcelRequestParameter.java.

## ◆ setPartnerParcelNumber()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ReprintParcelRequestParameter.setPartnerParcelNumber | ( | String | value | ) |

Sets the value of the partnerParcelNumber property.

Parameters

  value | allowed object is String

Definition at line 198 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ReprintParcelRequestParameter.java.

## ◆ setPrintingOptions()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ReprintParcelRequestParameter.setPrintingOptions | ( | PrintingOptions | value | ) |

Sets the value of the printingOptions property.

Parameters

  value | allowed object is PrintingOptions

Definition at line 246 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ReprintParcelRequestParameter.java.

## ◆ setReturnOptions()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ReprintParcelRequestParameter.setReturnOptions | ( | ReturnOptions | value | ) |

Sets the value of the returnOptions property.

Parameters

  value | allowed object is ReturnOptions

Definition at line 270 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ReprintParcelRequestParameter.java.

## ◆ setShipmentReference()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ReprintParcelRequestParameter.setShipmentReference | ( | String | value | ) |

Sets the value of the shipmentReference property.

Parameters

  value | allowed object is String

Definition at line 150 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ReprintParcelRequestParameter.java.

## ◆ setShipmentUnitReference()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ReprintParcelRequestParameter.setShipmentUnitReference | ( | String | value | ) |

Sets the value of the shipmentUnitReference property.

Parameters

  value | allowed object is String

Definition at line 174 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ReprintParcelRequestParameter.java.

## ◆ setTrackID()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ReprintParcelRequestParameter.setTrackID | ( | String | value | ) |

Sets the value of the trackID property.

Parameters

  value | allowed object is String

Definition at line 102 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ReprintParcelRequestParameter.java.

## Member Data Documentation

## ◆ creationDate

Date eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ReprintParcelRequestParameter.creationDate
| protected

Definition at line 74 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ReprintParcelRequestParameter.java.

## ◆ customContent

CustomContent eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ReprintParcelRequestParameter.customContent
| protected

Definition at line 80 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ReprintParcelRequestParameter.java.

## ◆ parcelNumber

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ReprintParcelRequestParameter.parcelNumber
| protected

Definition at line 64 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ReprintParcelRequestParameter.java.

## ◆ partnerParcelNumber

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ReprintParcelRequestParameter.partnerParcelNumber
| protected

Definition at line 70 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ReprintParcelRequestParameter.java.

## ◆ printingOptions

PrintingOptions eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ReprintParcelRequestParameter.printingOptions
| protected

Definition at line 76 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ReprintParcelRequestParameter.java.

## ◆ returnOptions

ReturnOptions eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ReprintParcelRequestParameter.returnOptions
| protected

Definition at line 78 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ReprintParcelRequestParameter.java.

## ◆ shipmentReference

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ReprintParcelRequestParameter.shipmentReference
| protected

Definition at line 66 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ReprintParcelRequestParameter.java.

## ◆ shipmentUnitReference

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ReprintParcelRequestParameter.shipmentUnitReference
| protected

Definition at line 68 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ReprintParcelRequestParameter.java.

## ◆ trackID

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ReprintParcelRequestParameter.trackID
| protected

Definition at line 62 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ReprintParcelRequestParameter.java.

The documentation for this class was generated from the following file:

- glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ReprintParcelRequestParameter.java